package SeMeet::Controller::Groups;
use Mojo::Base 'Mojolicious::Controller', -signatures;

sub list($c) {
    $c->openapi->valid_input or return;
    my $args = $c->validation->output;

    my $groups = $c->schema->resultset('Group')->search({
        name => { ilike => '%' . $args->{search} . '%' }
    },
    {
        order_by => 'name',
    }
    );

    my @groups = ();

    GROUP:
    while ( my $group = $groups->next()) {
        push @groups, $c->spec_filter({
            $group->get_columns,
        }, 'GroupInList')
    }

    $c->render( openapi => \@groups );
}

1;
